//---------------------------------------------------------------------------

#ifndef dlgMainH
#define dlgMainH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <IPPeerClient.hpp>
#include <REST.Backend.MetaTypes.hpp>
#include <REST.Backend.ParseProvider.hpp>
#include <REST.Backend.ParseServices.hpp>
#include <REST.Backend.Providers.hpp>
#include <REST.Backend.ServiceComponents.hpp>
#include <REST.Backend.ServiceTypes.hpp>
#include <REST.OpenSSL.hpp>
#include <System.JSON.hpp>
#include <Data.Bind.Components.hpp>
#include <Data.Bind.ObjectScope.hpp>
#include <REST.Backend.BindSource.hpp>
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
	TEdit *edtName;
	TLabel *lblVorname;
	TEdit *edtVorname;
	TLabel *lblName;
	TParseProvider *ParseProvider;
	TBackendStorage *BackendStorage;
	TButton *btnPersonAnlegen;
	TEdit *edtStrasse;
	TLabel *lblStrasse;
	TEdit *edtPLZ;
	TLabel *lblPLZ;
	TEdit *edtOrt;
	TLabel *lblOrt;
	TMemo *mePersonen;
	TButton *btnLesen;
	TBackendQuery *BackendQuery;
	TButton *btnLesenAdressen;
	void __fastcall btnPersonAnlegenClick(TObject *Sender);
	void __fastcall btnLesenClick(TObject *Sender);
	void __fastcall btnLesenAdressenClick(TObject *Sender);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
	__fastcall TFormMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
